
from gi.repository import Gtk
import gi
from frontend.gtk_interface import InstallerWindow
import sys
import subprocess
import gettext


sys.path.insert(1, '/usr/lib/live-installer')

gi.require_version('Gtk', '3.0')

# main entry
if __name__ == "__main__":

    if ("--expert-mode" in sys.argv):
        win = InstallerWindow(expert_mode=True)
    else:
        win = InstallerWindow()
    if ("--window" not in sys.argv):
        win.fullscreen()
    Gtk.main()
